package com.yihu.wlyy.entity.follow;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 随访模板问题表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_template_question")
public class FollowUpTemplateQuestion extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5526025233518595839L;

	// 随访项标识
	private String code;
	// 模板标识
	private String template;
	// 问题标题
	private String title;
	// 问题类型：1单选，2多选，3问答
	private int type;
	// 体测指标类型：1血糖，2血压，3体重，4腰围
	private int index;
	// 问题选项jsonarray串
	private String options;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getTemplate() {
		return template;
	}

	public void setTemplate(String template) {
		this.template = template;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	@Column(name="tc_index")
	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}

	public String getOptions() {
		return options;
	}

	public void setOptions(String options) {
		this.options = options;
	}

}
